image: docker:latest

services:
    - docker:dind

stages:
  - test

before_script:
  - apk add --no-cache py-pip
  - pip install docker-compose
  - docker-compose -v

test:
  stage: test
  script:
    - docker-compose -f test.yml build
    - docker-compose -f test.yml up --abort-on-container-exit
